Page MenuHomePhabricator

FOUC in section "Recently featured" on mobile Main Page
Closed, ResolvedPublic

Description

https://en.m.wikipedia.org/wiki/Main_Page

The first render is like this (on two separate line, each item on the second line separated by white space):

Recently featured:
Jumping Flash! Benjamin Franklin Tilley The Boat Race 1993

Then, once loaded, it changes to this (all on one line, items separated by bullet point):

Recently featured: Jumping Flash! · Benjamin Franklin Tilley · The Boat Race 1993


It seems related to the "hlist" class on English Wikipedia. Either the style load too late, or the layout is needlessly changed by JavaScript in some way.

Related Objects

StatusAssignedTask
OpenNone
ResolvedJdlrobson
DuplicateNone
ResolvedTgr
ResolvedAnomie
Resolvedtstarling
Resolvedcoren
ResolvedAnomie
StalledMhurd
ResolvedAnomie
ResolvedEsanders
ResolvedEsanders
Resolvedssastry
ResolvedAnomie
ResolvedCKoerner_WMF
Resolvedjhsoby
ResolvedTgr
DeclinedTgr
Resolvedcoren
ResolvedAnomie
ResolvedTgr
OpenNone
Resolvedssastry
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDeskana
ResolvedCKoerner_WMF
ResolvedWhatamidoing-WMF
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedUrbanecm
ResolvedTgr
ResolvedTacsipacsi
ResolvedTgr
ResolvedCKoerner_WMF

Event Timeline

Krinkle created this task.Apr 1 2016, 3:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2016, 3:09 AM
Krinkle updated the task description. (Show Details)Apr 1 2016, 3:10 AM
Jdlrobson triaged this task as Normal priority.Apr 6 2016, 5:14 PM
jhobs renamed this task from Section "Recently featured" on mobile Main Page changes layout after page load to FOUC in section "Recently featured" on mobile Main Page.Sep 29 2016, 8:26 PM
MBinder_WMF added subscribers: Jhernandez, MBinder_WMF.

@Jhernandez Grooming determined that this is ready to be worked on. Please feel free to move it back to Needs Analysis and say why if you do. :)

Change 324002 had a related patch set uploaded (by Jdlrobson):
Support inline .hlists for editors to avoid FOUC

https://gerrit.wikimedia.org/r/324002

These rules are in https://en.m.wikipedia.org/wiki/MediaWiki:Mobile.css which is bottom loaded
(mainly to avoid a 2 second delay to first paint on 2G connections by the addition of an additional stylesheet URL)

The FOUC content will be resolved by the above patch.
I've fixed the issue with the bullet points FOUC. Currently the bullets are removed but I've left information on how they can be readded without a FOUC (requires an edit to main page template).

Change 324002 abandoned by Jdlrobson:
Support inline .hlists for editors to avoid FOUC

https://gerrit.wikimedia.org/r/324002

Jdlrobson closed this task as Resolved.Mar 20 2017, 8:25 PM

There is no FOUC anymore.